using Godot;

namespace Cirno.Scripts.Components.FSM.Player;

public partial class UnTeleporting : PlayerStateBase
{
    public override PlayerState StateId => PlayerState.UnTeleporting
    ;
    [Export]
    private PlayerAnimationProvider _animationProvider;
    
    public override void EnterState()
    {
        _animationProvider.PlayUnteleportAnimation();
    }

    public override void ExitState()
    {
        
    }

    public override void ProcessState(double delta)
    {
        
    }

    public override void PhysicsProcessState(double delta)
    {
        
    }
}